Subject: RE: [SIP] First cut review of Session Timer draft.

From: "Adam Roach (EUS)" <[email-masked]>
Date: Wed, 25 Apr 2001 05:54:53 -0500

Comments on the comments... :)

/a

> -----Original Message-----
> From: Ben Campbell [mailto:[email-masked]]
>
> Here are my first cut comments on session-timer for the 
> upcoming last-call.
> Most of these are minor comments. Please forgive me if I am 
> re-opening old
> discussions, as I did not follow the original session-timer work. 
> 
> 5:2 - Doesn't option of absolute time imply an assumption 
> that all elements
> have their clocks reasonably synchronized?

3:1 - "Any entity that inserts
       a Session-Expires header with an absolute time MUST also insert a
       Date header into the message. This ensures proper operation for
       devices that do not have access to absolute time."

Perhaps this sentance doesn't have enough hoopla about it, since
I've had to point it out numerous times to different people. To those
of you who have overlooked it (or even those you who haven't): do you
have any suggestions about how to make it stand out more? Does it need
better proximity to the paragraph explictly allowing absolute times
(in section 5)?

> 10:2 - How can a proxy know that it is the closes proxy to 
> the UAC that
> cares about the timer? Except in the trivial case where the 
> proxy is the
> closest to the UAC period, this seems problematic.

Because the *first* proxy that cares will *add* a "Session-Expires"
header. Other proxies will merely notice (and occasionally
adjust) it. So, if you see no "Session-Expires," you're the first node
that cares. If you don't, you aren't.

A clarification to this effect would probably be useful...

/a